# SMS

**SENDUNE** integrates with your AWS SNS account to send SMS (Text Messages). You can send SMS manually, via the API, or via automated rules (workflows).&#x20;

### **Manual SMS**&#x20;

To send SMS manually, go to the 'SMS > Manual' tab, select one or more contacts and click "Send" button at the top. You will be shown a popup where you can compose your SMS. See video for demo.

{% embed url="<https://iframe.mediadelivery.net/play/274833/82be1be0-d3bc-467d-a7bf-9eccd2f1064e>" %}

{% hint style="info" %}
**NOTEs:**&#x20;

* Sender ID is optional. Enter only if you have one.&#x20;
* Origination number is required only if you are sending to USA mobile numbers.
  {% endhint %}

### **API SMS**&#x20;

Use this to send Transactional SMS. See the request/response details below.

{% embed url="<https://iframe.mediadelivery.net/play/274833/8a1c7492-55bd-482c-94cb-fc1b69aa82d2>" %}

{% tabs %}
{% tab title="API Request" %}

<pre><code><strong>URL: https://api.sendune.com/send-sms
</strong></code></pre>

{% code lineNumbers="true" %}

```
{
      "method": "POST",
      "url": "https://api.sendune.com/send-sms",
      "headers": {"template-key": "**************************4lVm"},
      "body": {
          "sender_id": "ABCDEF",
          "origination_number": "+449876543212",
          "mobile": "+449876543210",
          "message": "Hello John."
       }
}
```

{% endcode %}

**IMPORTANT:**

* All API calls MUST include the **Template Key**. Template Key is unique to Transactional SMS and Marketing SMS.
* 'Origination Number' is required only when sending to USA mobile numbers.&#x20;
* All mobile numbers MUST be in E.164 format.&#x20;
  {% endtab %}

{% tab title="API Response" %}
Success Response:

{% code lineNumbers="true" %}

```
{
      "success": true,
      "message": "SMS Sent"
}
```

{% endcode %}

Failed Response:

{% code lineNumbers="true" %}

```
{
      "success": false,
      "message": "message details",
      "error": "error details"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

### **Workflow SMS**

See '[<mark style="color:red;">Automation</mark>](/email-automation.md)' section for more details.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sendune.com/sms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
